# HIPAAConstantsUS (ARX GUI Documentation)

org.deidentifier.arx.risk.resources.us

## Class HIPAAConstantsUS

- java.lang.Object
- - org.deidentifier.arx.risk.HIPAAConstants
  - - org.deidentifier.arx.risk.resources.us.HIPAAConstantsUS

-     public class HIPAAConstantsUS
      extends HIPAAConstants

  Utility class providing access to important constants for finding HIPAA identifiers.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HIPAAConstantsUS()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.io.InputStream` | `getInputStream(java.lang.String file)` Returns constants for the US population

    - ### Methods inherited from class org.deidentifier.arx.risk.HIPAAConstants

      `getNameMatchers, getUSData, isCity, isFirstname, isLastname, isState, isZipcode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HIPAAConstantsUS

          public HIPAAConstantsUS()

  - ### Method Detail

    - #### getInputStream

          protected java.io.InputStream getInputStream(java.lang.String file)

      Returns constants for the US population
      Specified by:
        `getInputStream` in class `HIPAAConstants`
      Returns: